# For developers

## Installation

```
composer require drupal/htmx
```

### Example

In your module or theme add `htmx` as a dependency.

```
# file: your_module.libraries.yml
your_module/library_name:
  version: VERSION
  js:
    js/htmx-example.js: {}
  css:
    theme:
      css/htmx-example.css: {}
  dependencies:
    - htmx/htmx
```
## SHA384 Sum

The SHA384 reduced to base64 for version 1.9.11 is listed in the
[htmx Github repository](https://github.com/bigskysoftware/htmx/blob/v1.9.11/www/content/docs.md#via-a-cdn-eg-unpkgcom)
as `0gxUXCCR8yv9FM2b+U3FDbsKthCI66oH5IA9fHppQq9DDMHuMauqq1ZHBpJxQ0J0`

This sum can be [replicated and verified](https://www.srihash.org/) on the
command line:

```shell
openssl dgst -sha384 -binary js/htmx.min.js | openssl base64 -A
0gxUXCCR8yv9FM2b+U3FDbsKthCI66oH5IA9fHppQq9DDMHuMauqq1ZHBpJxQ0J0
```

## Maintainers

Update package instructions:

```
cd js
# download latest version of htmx.min.js
wget https://unpkg.com/htmx.org/dist/htmx.min.js -O htmx.min.js

# write version number to VERSION
wget https://unpkg.com/htmx.org/dist/htmx.min.js -O htmx.min.js -o - | grep 'Location:' | awk -F'@' '{print $2}' | awk -F'/' '{print $1}' > VERSION
```
